xubuntu 12.10 "installer" mysql après-coup ?

Le
Une Bévue
Bon, en fait mysql est déjà installé sur mon Xubuntu 12.10 :
$ mysql --version
mysql Ver 14.14 Distrib 5.5.28, for debian-linux-gnu (x86_64) using
readline 6.2

Mais il n'est pas *** lié *** à php / Apache2

COmment faire dans ce cas là ?

j'en ai besoin pour créere un album photo "piwigo-2.4.6" :
<http://piwigo.org/basics/requirements>

par contre, avec php j'ai PDO et le pdo driver pour PostgreSQL.

--
L'homme est imparfait, mais ce n'est pas étonnant
quand on pense à l'époque où il a été créé.
— Alphonse Allais
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
moi-meme
Le #25136362
Le Mon, 14 Jan 2013 08:46:18 +0100, Une Bévue a écrit :

Bon, en fait mysql est déjà installé sur mon Xubuntu 12.10 : $ mysql
--version
mysql Ver 14.14 Distrib 5.5.28, for debian-linux-gnu (x86_64) using
readline 6.2

Mais il n'est pas *** lié *** à php / Apache2

COmment faire dans ce cas là ?

j'en ai besoin pour créere un album photo "piwigo-2.4.6" :

par contre, avec php j'ai PDO et le pdo driver pour PostgreSQL.



il doit y en avoir un qui te plait :
-->[ ~] apt-cache search mysql |grep php
htcheck-php - Simple php interface to database generated by ht://Check
libphp-adodb - The ADOdb database abstraction layer for PHP
php5-adodb - Extension optimising the ADOdb database abstraction library
php-db - PHP PEAR Database Abstraction Layer
php-mdb2-driver-mysql - PHP PEAR module to provide a MySQL driver for MDB2
php5-mysql - MySQL module for php5
php5-sqlite - SQLite module for php5
phpmyadmin - MySQL web administration tool

(je suis sous Debian)
moi-meme
Le #25136562
Le Mon, 14 Jan 2013 08:46:18 +0100, Une Bévue a écrit :

Bon, en fait mysql est déjà installé sur mon Xubuntu 12.10 : $ mysql
--version
mysql Ver 14.14 Distrib 5.5.28, for debian-linux-gnu (x86_64) using
readline 6.2

Mais il n'est pas *** lié *** à php / Apache2

COmment faire dans ce cas là ?

j'en ai besoin pour créere un album photo "piwigo-2.4.6" :

par contre, avec php j'ai PDO et le pdo driver pour PostgreSQL.



mes excuses pour le copier-mal collé

-->[ ~] apt-cache search mysql |grep php

htcheck-php - Simple php interface to database generated by ht://Check

libphp-adodb - The ADOdb database abstraction layer for PHP

php5-adodb - Extension optimising the ADOdb database abstraction library

php-db - PHP PEAR Database Abstraction Layer

php-mdb2-driver-mysql - PHP PEAR module to provide a MySQL driver for
MDB2

php5-mysql - MySQL module for php5

php5-sqlite - SQLite module for php5

phpmyadmin - MySQL web administration tool

(je suis sous Debian)
Une Bévue
Le #25137532
Le 14/01/2013 12:44, moi-meme a écrit :
mes excuses pour le copier-mal collé

-->[ ~] apt-cache search mysql |grep php

htcheck-php - Simple php interface to database generated by ht://Check

libphp-adodb - The ADOdb database abstraction layer for PHP

php5-adodb - Extension optimising the ADOdb database abstraction library

php-db - PHP PEAR Database Abstraction Layer

php-mdb2-driver-mysql - PHP PEAR module to provide a MySQL driver for
MDB2

php5-mysql - MySQL module for php5

php5-sqlite - SQLite module for php5

phpmyadmin - MySQL web administration tool

(je suis sous Debian)



ok, merci bien pour ce tuyau

--
L'homme est imparfait, mais ce n'est pas étonnant
quand on pense à l'époque où il a été créé.
— Alphonse Allais
Une Bévue
Le #25141822
Le 14/01/13 12:44, moi-meme a écrit :

php5-mysql - MySQL module for php5



bon, en fait je n'avais que le ***client*** MySQL.

Aussi, j'ai installé :
$ sudo apt-get install mysql-server php5-mysql

après une rapide config, j'autilise mysqli comme interface entre php5 et
MySQL.

ça roule

--
L'homme est imparfait, mais ce n'est pas étonnant
quand on pense à l'époque où il a été créé.
— Alphonse Allais
moi-meme
Le #25142532
Le Wed, 16 Jan 2013 00:54:39 +0100, Une Bévue a écrit :

bon, en fait je n'avais que le ***client*** MySQL.



et plus c'est gros plus c'est dur à trouver.
Une Bévue
Le #25142632
Le 16/01/13 12:36, moi-meme a écrit :
bon, en fait je n'avais que le ***client*** MySQL.


et plus c'est gros plus c'est dur à trouver.



ben ouais ;-)

bon j'en suis à configurer le character set en UTF8 et aussi collation...
(cf. fil "ubuntu MySQL et utf8 ?" plus bas)

--
L'homme est imparfait, mais ce n'est pas étonnant
quand on pense à l'époque où il a été créé.
— Alphonse Allais
Publicité
Poster une réponse
Anonyme